class Submission < ActiveRecord::Base
  attr_accessible :filename, :mime, :task_id, :user_id
  belongs_to :user
  belongs_to :task
  
  def self.save_file(user,task,upload)
    dir = Rails.root.join("public", "data")
    if !File.exists? dir
      Dir.mkdir dir
    end
    fname = File.basename(upload['file'].original_filename)
    fname.gsub!(/^\w\.\_/, "_")
    #fname = User.find(user).neptun +"_"+Task.find(task).number.to_s+".pdf"
    path = File.join(dir, fname)
    File.open(path,"w") {|f| f.write(upload[:file].read)}
    s = Submission.new
    s.filename = fname
    s.mime = upload[:file].content_type
    #s.mime = 'application/pdf'
    s.task_id = task
    s.user_id = user
    s.save
  end
  
  def self.get_solutions_page(page,task)
    #s = Submission.find(:all, :order=>'created_at desc').paginate(:page => page, :per_page => 1)
    Task.find(task).submissions.paginate(:page=>page, :per_page=>1)
  end
end
